Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lucli
Class Lucli

    java.lang.Object
      lucli.Lucli

    public class Lucli

extends Object

Main class for lucli: the Lucene Command Line Interface. This class handles mostly the actual CLI part, command names, help, etc.

Field Summary
`static int` | `MAX_TERMS`

Constructor Summary
`Lucli(String[] args)` Main entry point.

Method Summary
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_TERMS

    public static final int MAX_TERMS

See Also:
  Constant Field Values

Constructor Detail

### Lucli

    public Lucli(String[] args)
          throws IOException

  Main entry point. The first argument can be a filename with an application initialization file.

  Throws:
    `IOException`

Method Detail

### main

    public static void main(String[] args)
                     throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.